/* Copyright 2020, Michele Santullo
 * This file is part of orotool.
 *
 * Orotool is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Orotool is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Orotool.  If not, see <http://www.gnu.org/licenses/>.
 */

#pragma once

#include <ev++.h>
#include <mutex>

namespace ev {
	struct loop_ref;
	struct async;
} //namespace ev

namespace eve {
	class Eventia;

	struct Context {
		Context (
			ev::loop_ref* l,
			std::mutex* m,
			ev::async* a,
			Eventia* e
		) :
			loop(l),
			ev_mutex(m),
			async(a),
			eventia(e)
		{
		}

		ev::loop_ref* loop;
		std::mutex* ev_mutex;
		ev::async* async;
		Eventia* eventia;
	};
} //namespace eve
