/* Copyright 2020, Michele Santullo
 * This file is part of orotool.
 *
 * Orotool is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Orotool is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Orotool.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "datatypes.hpp"
#include "private/dateconv.hpp"

#define HAS_UNCAUGHT_EXCEPTIONS 1
#include "date/date.h"

namespace oro {
	Timestamp& Timestamp::operator= (std::string&& str) {
		ts = from_json_timestamp(std::move(str));
		return *this;
	}

	std::ostream& operator<<(std::ostream& os, const Timestamp& ts) {
		using date::operator<<;
		os << ts.ts;
		return os;
	}
} //namespace oro
