/* Copyright 2020, Michele Santullo
 * This file is part of orotool.
 *
 * Orotool is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Orotool is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Orotool.  If not, see <http://www.gnu.org/licenses/>.
 */

#include "oro/originsdb.hpp"
#include "orotool_config.hpp"
#if defined(OROTOOL_WITH_SQLITE)
#	include "oro/private/originsdb_sqlite.hpp"
#endif
#include <exception>
#include <sstream>

namespace oro {
	std::unique_ptr<OriginsDB> OriginsDB::make (std::string_view name, std::string_view param) {
		if (false) {
			return {};
		}
#if defined(OROTOOL_WITH_SQLITE)
		else if (name == duck::g_sqlite_backend_name) {
			return std::make_unique<OriginsDBSQLite>(param);
		}
#endif
		else {
			std::ostringstream oss;
			oss << "Unable to create a databale backend of type \"" << name << '"';
			throw std::invalid_argument(oss.str());
		}
	}
} //namespace oro
