/* Copyright 2020, Michele Santullo
 * This file is part of orotool.
 *
 * Orotool is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Orotool is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Orotool.  If not, see <http://www.gnu.org/licenses/>.
 */

#pragma once

#include "oro/datatypes.hpp"
#include <string>

namespace oro {
Timestamp from_json_timestamp (std::string&& str);
Timestamp from_header_timestamp (std::string&& str);
Timestamp from_sqlite_timestamp (std::string&& str);
std::string to_sqlite_string (const Timestamp& ts);
std::string to_iso8601_string (const Timestamp& ts);
} //namespace oro
