/* Copyright 2020, Michele Santullo
 * This file is part of orotool.
 *
 * Orotool is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Orotool is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Orotool.  If not, see <http://www.gnu.org/licenses/>.
 */

#pragma once

#include <string>
#include <optional>

namespace oro {

//The raw json source data complete with http response header. It can be
//anything really, but it's intended to be stored in the DB. Entries in the
//other tables will have a reference to the source.

enum class SourceFormat {
	None,
	Plain,
	Base64_xz
};

struct Source {
	std::optional<std::string> data;
	SourceFormat format {SourceFormat::None};
};

} //namespace oro
