/* Copyright 2020, Michele Santullo
 * This file is part of orotool.
 *
 * Orotool is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * Orotool is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with Orotool.  If not, see <http://www.gnu.org/licenses/>.
 */

#pragma once

#include "timer_base.hpp"
#include "oro/dboperation.hpp"

namespace oro {
	class Api;
} //namespace oro

namespace duck {

template<oro::DBOperation Op>
class TimerOroApi : TimerBase {
public:
	TimerOroApi (
		const eve::Context& ctx,
		const TimerSettings& settings,
		EventiaThreadPool* pool,
		oro::Api* oro_api,
		oro::OriginsDB* db
	);

private:
	virtual void fetch_data (oro::SourceFormat store_mode) override;

	unsigned int m_retries_left;
};

} //namespace duck

